ubuntu15.04升級ubuntu15.10 後就出現以下錯誤,無法安裝mysql or mariadb [論壇 - Ubuntu安裝問題]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊



ubuntu15.04升級ubuntu15.10 後就出現以下錯誤,無法安裝mysql or mariadb
會員一級
註冊日期:
2015/9/2 10:24
所屬群組:
已註冊使用者
等級: 1
HP : 0 / 8
MP : 1 / 102
EXP: 34
離線
升級過程就有錯誤,接著apt-get install要安裝mysql or mariadb都會出現這樣的錯誤,請問可以怎麼修復?這是kernel有問題嗎?


sudo dpkg --configure -a
====================================================

dpkg: error processing package friendly-recovery (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
dpkg: 因相依問題,無法設定 linux-image-generic:
linux-image-generic 相依於 linux-image-4.2.0-22-generic﹔然而:
linux-image-4.2.0-22-generic 套件尚未設定。
linux-image-generic 相依於 linux-image-extra-4.2.0-22-generic﹔然而:
linux-image-extra-4.2.0-22-generic 套件尚未設定。

dpkg: error processing package linux-image-generic (--configure):
相依問題 - 保留未設定
設定 memtest86+ (5.01-3ubuntu1) ...
/usr/sbin/grub-mkconfig: 4: /etc/default/grub: fffi:q#: not found
dpkg: error processing package memtest86+ (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
dpkg: 因相依問題,無法設定 linux-generic:
linux-generic 相依於 linux-image-generic (= 4.2.0.22.24)﹔然而:
linux-image-generic 套件尚未設定。

dpkg: error processing package linux-generic (--configure):
相依問題 - 保留未設定
dpkg: 因相依問題,無法設定 ubuntu-desktop:
ubuntu-desktop 相依於 memtest86+﹔然而:
memtest86+ 套件尚未設定。

dpkg: error processing package ubuntu-desktop (--configure):
相依問題 - 保留未設定
處理時發生錯誤:
linux-image-4.2.0-22-generic
linux-image-extra-4.2.0-22-generic
grub-pc
friendly-recovery
linux-image-generic
memtest86+
linux-generic
ubuntu-desktop
root@mail:/oli365/ftp/download/mariadb# clear
root@mail:/oli365/ftp/download/mariadb# dpkg --configure -a
設定 linux-image-4.2.0-22-generic (4.2.0-22.27) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
initrd.img(/boot/initrd.img-4.2.0-22-generic
) points to /boot/initrd.img-4.2.0-22-generic
(/boot/initrd.img-4.2.0-22-generic) -- doing nothing at /var/lib/dpkg/info/linux-image-4.2.0-22-generic.postinst line 491.
vmlinuz(/boot/vmlinuz-4.2.0-22-generic
) points to /boot/vmlinuz-4.2.0-22-generic
(/boot/vmlinuz-4.2.0-22-generic) -- doing nothing at /var/lib/dpkg/info/linux-image-4.2.0-22-generic.postinst line 491.
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.2.0-22-generic /boot/vmlinuz-4.2.0-22-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.2.0-22-generic /boot/vmlinuz-4.2.0-22-generic
update-initramfs: Generating /boot/initrd.img-4.2.0-22-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.2.0-22-generic /boot/vmlinuz-4.2.0-22-generic
run-parts: executing /etc/kernel/postinst.d/unattended-upgrades 4.2.0-22-generic /boot/vmlinuz-4.2.0-22-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 4.2.0-22-generic /boot/vmlinuz-4.2.0-22-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.2.0-22-generic /boot/vmlinuz-4.2.0-22-generic
/usr/sbin/grub-mkconfig: 4: /etc/default/grub: fffi:q#: not found
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 127
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-4.2.0-22-generic.postinst line 1025.
dpkg: error processing package linux-image-4.2.0-22-generic (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 2
dpkg: 因相依問題,無法設定 linux-image-extra-4.2.0-22-generic:
linux-image-extra-4.2.0-22-generic 相依於 linux-image-4.2.0-22-generic﹔然而:
linux-image-4.2.0-22-generic 套件尚未設定。

dpkg: error processing package linux-image-extra-4.2.0-22-generic (--configure):
相依問題 - 保留未設定
設定 grub-pc (2.02~beta2-29ubuntu0.2) ...
/var/lib/dpkg/info/grub-pc.config: 4: /etc/default/grub: fffi:q#: not found
dpkg: error processing package grub-pc (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
設定 friendly-recovery (0.2.31) ...
/usr/sbin/grub-mkconfig: 4: /etc/default/grub: fffi:q#: not found
dpkg: error processing package friendly-recovery (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
dpkg: 因相依問題,無法設定 linux-image-generic:
linux-image-generic 相依於 linux-image-4.2.0-22-generic﹔然而:
linux-image-4.2.0-22-generic 套件尚未設定。
linux-image-generic 相依於 linux-image-extra-4.2.0-22-generic﹔然而:
linux-image-extra-4.2.0-22-generic 套件尚未設定。

dpkg: error processing package linux-image-generic (--configure):
相依問題 - 保留未設定
設定 memtest86+ (5.01-3ubuntu1) ...
/usr/sbin/grub-mkconfig: 4: /etc/default/grub: fffi:q#: not found
dpkg: error processing package memtest86+ (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
dpkg: 因相依問題,無法設定 linux-generic:
linux-generic 相依於 linux-image-generic (= 4.2.0.22.24)﹔然而:
linux-image-generic 套件尚未設定。

dpkg: error processing package linux-generic (--configure):
相依問題 - 保留未設定
dpkg: 因相依問題,無法設定 ubuntu-desktop:
ubuntu-desktop 相依於 memtest86+﹔然而:
memtest86+ 套件尚未設定。

dpkg: error processing package ubuntu-desktop (--configure):
相依問題 - 保留未設定
處理時發生錯誤:
linux-image-4.2.0-22-generic
linux-image-extra-4.2.0-22-generic
grub-pc
friendly-recovery
linux-image-generic
memtest86+
linux-generic
ubuntu-desktop
==============================================



sudo apt-get -f install

==============================================
dpkg: error processing package friendly-recovery (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
dpkg: 因相依問題,無法設定 linux-image-generic:
linux-image-generic 相依於 linux-image-4.2.0-22-generic﹔然而:
linux-image-4.2.0-22-generic 套件尚未設定。
linux-image-generic 相依於 linux-image-extra-4.2.0-22-generic﹔然而:
linux-image-extra-4.2.0-22-generic 套件尚未設定。

dpkg: error processing package linux-image-generic (--configure):
相依問題 - 保留未設定
設定 memtest86+ (5.01-3ubuntu1) ...
/usr/sbin/grub-mkconfig: 4: /etc/default/grub: fffi:q#: not found
dpkg: error processing package memtest86+ (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
dpkg: 因相依問題,無法設定 linux-generic:
linux-generic 相依於 linux-image-generic (= 4.2.0.22.24)﹔然而:
linux-image-generic 套件尚未設定。

dpkg: error processing package linux-generic (--configure):
相依問題 - 保留未設定
dpkg: 因相依問題,無法設定 ubuntu-desktop:
ubuntu-desktop 相依於 memtest86+﹔然而:
memtest86+ 套件尚未設定。

dpkg: error processing package ubuntu-desktop (--configure):
相依問題 - 保留未設定
處理時發生錯誤:
linux-image-4.2.0-22-generic
linux-image-extra-4.2.0-22-generic
grub-pc
friendly-recovery
linux-image-generic
memtest86+
linux-generic
ubuntu-desktop
root@mail:/oli365/ftp/download/mariadb# clear
root@mail:/oli365/ftp/download/mariadb# sudo apt-get install -f
正在讀取套件清單... 完成
正在重建相依關係
正在讀取狀態資料... 完成
升級 0 個,新安裝 0 個,移除 0 個,有 1 個未被升級。
8 個沒有完整得安裝或移除。
此操作完成之後,會多佔用 0 B 的磁碟空間。
設定 linux-image-4.2.0-22-generic (4.2.0-22.27) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
initrd.img(/boot/initrd.img-4.2.0-22-generic
) points to /boot/initrd.img-4.2.0-22-generic
(/boot/initrd.img-4.2.0-22-generic) -- doing nothing at /var/lib/dpkg/info/linux-image-4.2.0-22-generic.postinst line 491.
vmlinuz(/boot/vmlinuz-4.2.0-22-generic
) points to /boot/vmlinuz-4.2.0-22-generic
(/boot/vmlinuz-4.2.0-22-generic) -- doing nothing at /var/lib/dpkg/info/linux-image-4.2.0-22-generic.postinst line 491.
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.2.0-22-generic /boot/vmlinuz-4.2.0-22-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.2.0-22-generic /boot/vmlinuz-4.2.0-22-generic
update-initramfs: Generating /boot/initrd.img-4.2.0-22-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.2.0-22-generic /boot/vmlinuz-4.2.0-22-generic
run-parts: executing /etc/kernel/postinst.d/unattended-upgrades 4.2.0-22-generic /boot/vmlinuz-4.2.0-22-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 4.2.0-22-generic /boot/vmlinuz-4.2.0-22-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.2.0-22-generic /boot/vmlinuz-4.2.0-22-generic
/usr/sbin/grub-mkconfig: 4: /etc/default/grub: fffi:q#: not found
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 127
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-4.2.0-22-generic.postinst line 1025.
dpkg: error processing package linux-image-4.2.0-22-generic (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 2
設定 friendly-recovery (0.2.31) ...
/usr/sbin/grub-mkconfig: 4: /etc/default/grub: fffi:q#: not found
dpkg: error processing package friendly-recovery (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
設定 grub-pc (2.02~beta2-29ubuntu0.2) ...
/var/lib/dpkg/info/grub-pc.config: 4: /etc/default/grub: fffi:q#: not found
dpkg: error processing package grub-pc (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
dpkg: 因相依問題,無法設定 linux-image-extra-4.2.0-22-generic:
linux-image-extra-4.2.0-22-generic 相依於 linux-image-4.2.0-22-generic﹔然而:
linux-image-4.2.0-22-generic 套件尚未設定。

dpkg: error processing package linux-image-extra-4.2.0-22-generic (--configure):
相依問題 - 保留未設定
dpkg: 因相依問題,無法設定 linux-image-generic:
linux-image-generic 相依於 linux-image-4.2.0-22-generic﹔然而:
linux-image-4.2.0-22-generic 套件尚未設定。
linux-image-generic 相依於 linux-image-extra-4.2.0-22-generic﹔然而:
linux-image-extra-4.2.0-22-generic 套件尚未設定。

dpkg: error processing package linux-image-generic (--configure):
相依問題 - 保留未設定
dpkg: 因相依問題,無法設定 linux-generic:
linux-generic 相依於 linux-image-generic (= 4.2.0.22.24)﹔然而:
linux-image-generic 套件尚未設定。

dpkg: error processing package linux-generic (--configure):
相依問題 - 保留▒No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
▒▒設定
設定 memtest86+ (5.01-3ubuntu1) ...
/usr/sbin/grub-mkconfig: 4: /etc/default/grub: fffi:q#: not found
dpkg: error processing package memtest86+ (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
No apport report written because MaxReports is reached already
dpkg: 因相依問題,無法設定 ubuntu-desktop:
ubuntu-desktop 相依於 memtest86+﹔然而:
memtest86+ 套件尚未設定。

dpkg: error processing package ubuntu-desktop (--configure):
相依問題 - 保留未設定
No apport report written because MaxReports is reached already
處理時發生錯誤:
linux-image-4.2.0-22-generic
friendly-recovery
grub-pc
linux-image-extra-4.2.0-22-generic
linux-image-generic
linux-generic
memtest86+
ubuntu-desktop
E: Sub-process /usr/bin/dpkg returned an error code (1)
==================================================



cat /etc/apt/sources.list
===============================================
# deb cdrom:[Ubuntu 15.04 _Vivid Vervet_ - Release amd64 (20150422)]/ vivid main restricted

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://tw.archive.ubuntu.com/ubuntu/ wily main restricted
deb-src http://tw.archive.ubuntu.com/ubuntu/ wily main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://tw.archive.ubuntu.com/ubuntu/ wily-updates main restricted
deb-src http://tw.archive.ubuntu.com/ubuntu/ wily-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://tw.archive.ubuntu.com/ubuntu/ wily universe
deb-src http://tw.archive.ubuntu.com/ubuntu/ wily universe
deb http://tw.archive.ubuntu.com/ubuntu/ wily-updates universe
deb-src http://tw.archive.ubuntu.com/ubuntu/ wily-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://tw.archive.ubuntu.com/ubuntu/ wily multiverse
deb-src http://tw.archive.ubuntu.com/ubuntu/ wily multiverse
deb http://tw.archive.ubuntu.com/ubuntu/ wily-updates multiverse
deb-src http://tw.archive.ubuntu.com/ubuntu/ wily-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://tw.archive.ubuntu.com/ubuntu/ wily-backports main restricted universe multiverse
deb-src http://tw.archive.ubuntu.com/ubuntu/ wily-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu wily-security main restricted
deb-src http://security.ubuntu.com/ubuntu wily-security main restricted
deb http://security.ubuntu.com/ubuntu wily-security universe
deb-src http://security.ubuntu.com/ubuntu wily-security universe
deb http://security.ubuntu.com/ubuntu wily-security multiverse
deb-src http://security.ubuntu.com/ubuntu wily-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu vivid partner
# deb-src http://archive.canonical.com/ubuntu vivid partner
# deb http://ftp.osuosl.org/pub/mariadb/repo/10.0/ubuntu trusty main # 因升級至 wily 停用
# deb-src http://ftp.osuosl.org/pub/mariadb/repo/10.0/ubuntu trusty main
deb [arch=i386,amd64] http://mirrors.hustunique.com/mariadb/repo/10.1/ubuntu wily main
# deb-src [arch=i386,amd64] http://mirrors.hustunique.com/mariadb/repo/10.1/ubuntu wily main
=========================================================

2015/12/28 14:17
應用擴展 工具箱
回覆: ubuntu15.04升級ubuntu15.10 後就出現以下錯誤,無法安裝mysql or mariadb
會員一級
註冊日期:
2015/9/2 10:24
所屬群組:
已註冊使用者
等級: 1
HP : 0 / 8
MP : 1 / 102
EXP: 34
離線
不知道為什麼?試了下面的步驟後,竟然正常了,可能是什麼原因有人知道嗎?


1. sudo vim /var/lib/dpkg/status
2. Delete the section for unrar.
3. sudo mv /var/lib/dpkg/info /var/lib/dpkg/info_old
4. sudo mkdir /var/lib/dpkg/info
5. sudo apt-get update
6. sudo apt-get -f install # fail error
7 sudo rm -r /var/lib/dpkg/info
8 sudo mv /var/lib/dpkg/info_old /var/lib/dpkg/info
9 sudo apt-get update
10 sudo apt-get -f install #這一次成功,之前都會失敗
11 sudo apt-get install mariadb-server-10.1 #沒有錯誤可以正常登入了

2015/12/29 9:22
應用擴展 工具箱
回覆: ubuntu15.04升級ubuntu15.10 後就出現以下錯誤,無法安裝mysql or mariadb
會員五級
註冊日期:
2012/4/22 10:50
所屬群組:
已註冊使用者
等級: 34
HP : 169 / 847
MP : 574 / 18513
EXP: 89
離線
你說的這個情形,詳細的導致的原因我不曉得。

但從你給的提示訊息來看,

在安裝「linux-image-4.2.0-22-generic」這個套件。

執行「/var/lib/dpkg/info/linux-image-4.2.0-22-generic.postinst」這個script會發生錯誤,

所以導致無法安裝「linux-image-4.2.0-22-generic」這個套件。

所以卡住了,以至於也不能安裝其他套件。

所以不是只有不能安裝「mysql or mariadb」,也不能安裝其他的套件。

要先排除,『安裝「linux-image-4.2.0-22-generic」這個套件,卡住這件事』,才能安裝其他的套件。


若要深究的話,可以參考這篇「[索引] 在 泛Ubuntu 底下,「套件」的操作實務」,裡面有列一些相關的討論。

最近一篇類似的討論「回覆: sudo apt-get upgrade 出再出錯誤訊息





lcl 寫到:

...略...

sudo apt-get -f install

==============================================
dpkg: error processing package friendly-recovery (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
dpkg: 因相依問題,無法設定 linux-image-generic:
linux-image-generic 相依於 linux-image-4.2.0-22-generic﹔然而:
linux-image-4.2.0-22-generic 套件尚未設定。
linux-image-generic 相依於 linux-image-extra-4.2.0-22-generic﹔然而:
linux-image-extra-4.2.0-22-generic 套件尚未設定。

dpkg: error processing package linux-image-generic (--configure):
相依問題 - 保留未設定
設定 memtest86+ (5.01-3ubuntu1) ...
/usr/sbin/grub-mkconfig: 4: /etc/default/grub: fffi:q#: not found
dpkg: error processing package memtest86+ (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
dpkg: 因相依問題,無法設定 linux-generic:
linux-generic 相依於 linux-image-generic (= 4.2.0.22.24)﹔然而:
linux-image-generic 套件尚未設定。

dpkg: error processing package linux-generic (--configure):
相依問題 - 保留未設定
dpkg: 因相依問題,無法設定 ubuntu-desktop:
ubuntu-desktop 相依於 memtest86+﹔然而:
memtest86+ 套件尚未設定。

dpkg: error processing package ubuntu-desktop (--configure):
相依問題 - 保留未設定
處理時發生錯誤:
linux-image-4.2.0-22-generic
linux-image-extra-4.2.0-22-generic
grub-pc
friendly-recovery
linux-image-generic
memtest86+
linux-generic
ubuntu-desktop
root@mail:/oli365/ftp/download/mariadb# clear
root@mail:/oli365/ftp/download/mariadb# sudo apt-get install -f
正在讀取套件清單... 完成
正在重建相依關係
正在讀取狀態資料... 完成
升級 0 個,新安裝 0 個,移除 0 個,有 1 個未被升級。
8 個沒有完整得安裝或移除。
此操作完成之後,會多佔用 0 B 的磁碟空間。
設定 linux-image-4.2.0-22-generic (4.2.0-22.27) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
initrd.img(/boot/initrd.img-4.2.0-22-generic
) points to /boot/initrd.img-4.2.0-22-generic
(/boot/initrd.img-4.2.0-22-generic) -- doing nothing at /var/lib/dpkg/info/linux-image-4.2.0-22-generic.postinst line 491.
vmlinuz(/boot/vmlinuz-4.2.0-22-generic
) points to /boot/vmlinuz-4.2.0-22-generic
(/boot/vmlinuz-4.2.0-22-generic) -- doing nothing at /var/lib/dpkg/info/linux-image-4.2.0-22-generic.postinst line 491.
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.2.0-22-generic /boot/vmlinuz-4.2.0-22-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.2.0-22-generic /boot/vmlinuz-4.2.0-22-generic
update-initramfs: Generating /boot/initrd.img-4.2.0-22-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.2.0-22-generic /boot/vmlinuz-4.2.0-22-generic
run-parts: executing /etc/kernel/postinst.d/unattended-upgrades 4.2.0-22-generic /boot/vmlinuz-4.2.0-22-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 4.2.0-22-generic /boot/vmlinuz-4.2.0-22-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.2.0-22-generic /boot/vmlinuz-4.2.0-22-generic
/usr/sbin/grub-mkconfig: 4: /etc/default/grub: fffi:q#: not found
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 127
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-4.2.0-22-generic.postinst line 1025.
dpkg: error processing package linux-image-4.2.0-22-generic (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 2
設定 friendly-recovery (0.2.31) ...
/usr/sbin/grub-mkconfig: 4: /etc/default/grub: fffi:q#: not found
dpkg: error processing package friendly-recovery (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
設定 grub-pc (2.02~beta2-29ubuntu0.2) ...
/var/lib/dpkg/info/grub-pc.config: 4: /etc/default/grub: fffi:q#: not found
dpkg: error processing package grub-pc (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
dpkg: 因相依問題,無法設定 linux-image-extra-4.2.0-22-generic:
linux-image-extra-4.2.0-22-generic 相依於 linux-image-4.2.0-22-generic﹔然而:
linux-image-4.2.0-22-generic 套件尚未設定。

dpkg: error processing package linux-image-extra-4.2.0-22-generic (--configure):
相依問題 - 保留未設定
dpkg: 因相依問題,無法設定 linux-image-generic:
linux-image-generic 相依於 linux-image-4.2.0-22-generic﹔然而:
linux-image-4.2.0-22-generic 套件尚未設定。
linux-image-generic 相依於 linux-image-extra-4.2.0-22-generic﹔然而:
linux-image-extra-4.2.0-22-generic 套件尚未設定。

dpkg: error processing package linux-image-generic (--configure):
相依問題 - 保留未設定
dpkg: 因相依問題,無法設定 linux-generic:
linux-generic 相依於 linux-image-generic (= 4.2.0.22.24)﹔然而:
linux-image-generic 套件尚未設定。

dpkg: error processing package linux-generic (--configure):
相依問題 - 保留▒No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
▒▒設定
設定 memtest86+ (5.01-3ubuntu1) ...
/usr/sbin/grub-mkconfig: 4: /etc/default/grub: fffi:q#: not found
dpkg: error processing package memtest86+ (--configure):
子程序 已安裝的 post-installation script 傳回了錯誤退出狀態 127
No apport report written because MaxReports is reached already
dpkg: 因相依問題,無法設定 ubuntu-desktop:
ubuntu-desktop 相依於 memtest86+﹔然而:
memtest86+ 套件尚未設定。

dpkg: error processing package ubuntu-desktop (--configure):
相依問題 - 保留未設定
No apport report written because MaxReports is reached already
處理時發生錯誤:
linux-image-4.2.0-22-generic
friendly-recovery
grub-pc
linux-image-extra-4.2.0-22-generic
linux-image-generic
linux-generic
memtest86+
ubuntu-desktop
E: Sub-process /usr/bin/dpkg returned an error code (1)
==================================================


...略...


2015/12/29 13:20
應用擴展 工具箱
回覆: ubuntu15.04升級ubuntu15.10 後就出現以下錯誤,無法安裝mysql or mariadb
會員一級
註冊日期:
2015/9/2 10:24
所屬群組:
已註冊使用者
等級: 1
HP : 0 / 8
MP : 1 / 102
EXP: 34
離線
不好意思,下面這篇沒有連結成功可以再給一次網址嗎?

[索引] 在 泛Ubuntu 底下,「套件」的操作實務」

2015/12/30 17:19
應用擴展 工具箱
回覆: ubuntu15.04升級ubuntu15.10 後就出現以下錯誤,無法安裝mysql or mariadb
會員五級
註冊日期:
2012/4/22 10:50
所屬群組:
已註冊使用者
等級: 34
HP : 169 / 847
MP : 574 / 18513
EXP: 89
離線
lcl 寫到:
不好意思,下面這篇沒有連結成功可以再給一次網址嗎?

[索引] 在 泛Ubuntu 底下,「套件」的操作實務」



歹勢拉 Orz...

連結我改好了,在原來的文章裡。


一些我建立的索引,可以在這裡找到「Ubunt TW / 論壇 / Ubuntu 文件資源」。



2015/12/30 17:37
應用擴展 工具箱
回覆: ubuntu15.04升級ubuntu15.10 後就出現以下錯誤,無法安裝mysql or mariadb
會員一級
註冊日期:
2015/9/2 10:24
所屬群組:
已註冊使用者
等級: 1
HP : 0 / 8
MP : 1 / 102
EXP: 34
離線
爬文了一些文章看起來和此篇似乎有點相似

http://stayubuntu.blogspot.tw/2012/04/apt-get-install.html

==============================================
執行sudo apt-get update && apt-get upgrade
=============================================

會出現這行找不到
==============================================
/var/lib/dpkg/info/grub-pc.config: 4: /etc/default/grub: fffi:q#: not found
=============================================

看了grub的設定檔,不過不懂上篇連結文章中多了一個f的意思,以及fffi是什麼指令,哪裡可以查得到grub中使用的指令(是用哪一種程式語言)

=======================================

fffi:q# info -f grub -n 'Simple configuration'

GRUB_DEFAULT=0
GRUB_HIDDEN_TIMEOUT=0
GRUB_HIDDEN_TIMEOUT_QUIET=true
GRUB_TIMEOUT=10
GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
#GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
GRUB_CMDLINE_LINUX="text"

# Uncomment to enable BadRAM filtering, modify to suit your needs
# This works with Linux (no patch required) and with any kernel that obtains
# the memory map information from GRUB (GNU Mach, kernel of FreeBSD ...)
#GRUB_BADRAM="0x01234567,0xfefefefe,0x89abcdef,0xefefefef"

# Uncomment to disable graphical terminal (grub-pc only)
GRUB_TERMINAL=console

2016/1/14 14:42
應用擴展 工具箱


 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.